<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->create('slider', function (Blueprint $table) {
            $table->increments('id');
            $table->string('title', 255)->nullable(false);
            $table->string('additional_information', 255)->nullable(false);
            $table->string('content', 255)->nullable(false);
            $table->string('link', 255)->nullable(false);
            $table->integer('status')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->dropIfExists('slider');
    }
};
